There is no tag 1.0 #1

Closed
mushtaq opened this Issue Jul 10, 2012 · 4 comments

Comments

Projects
None yet
4 participants

mushtaq commented Jul 10, 2012

Hence I can not do:
lazy val plugins = Project("plugins", file(".")).dependsOn(uri("git://github.com/guardian/sbt-jasmine-plugin.git#1.0")) as mentioned in the docs.

Is 0.5 the latest tag I should use instead?

Contributor

steppenwells commented Jul 27, 2012

Sorry about that, I wanted to use the plugin in anger before committing to a 1.0. We've been doing this for a while now and I think we've ironed out the teething problems with the plugin so I've created the 1.0 tag.

mushtaq commented Jul 28, 2012

No worries. Thanks creating the tag.

On Fri, Jul 27, 2012 at 2:58 PM, Stephen Wells <
reply@reply.github.com

wrote:

Sorry about that, I wanted to use the plugin in anger before committing to
a 1.0. We've been doing this for a while now and I think we've ironed out
the teething problems with the plugin so I've created the 1.0 tag.


Reply to this email directly or view it on GitHub:

#1 (comment)

Hi,
Two questions:

  1. Is this plugin still actively maintained?

  2. Has this issue been indeed fixed?
    I am asking because when using:

    object Plugins extends Build {
      lazy val plugins = Project("plugins", file("."))
        .dependsOn(uri("https://github.com/guardian/sbt-jasmine-plugin.git#0.8"))
    }
    

    the plugin seems to work just fine, but if I switch to:

    object Plugins extends Build {
      lazy val plugins = Project("plugins", file("."))
        .dependsOn(uri("https://github.com/guardian/sbt-jasmine-plugin.git#1.0"))
    }
    

    as recommended, I get:

    error: pathspec '1.0' did not match any file(s) known to git.
    [error] Nonzero exit code (1): git checkout -q 1.0
    [error] Use 'last' for the full log.
    

    Moreover, the 1.0 tag is not visible in GitHub, on the plugin's main page, where it lists all tags and branches.

Thanks in advance for your answers.
M.

Contributor

theefer commented Jul 2, 2013

The plugin isn't really actively maintained anymore I'm afraid.

We've been moving to using Grunt to do our frontend work, and
https://github.com/guardian/sbt-grunt-plugin to interface Grunt with sbt.
It's not perfect, but it exposes us to all the power of Grunt, and I
recommend you take a look at it

On 1 July 2013 12:51, Marc CARRE notifications@github.com wrote:

Hi,
Two questions:

  1. Is this plugin still actively maintained?
    2.

    Has this issue been indeed fixed?
    I am asking because when using:

    object Plugins extends Build {
    lazy val plugins = Project("plugins", file("."))
    .dependsOn(uri("https://github.com/guardian/sbt-jasmine-plugin.git#0.8"))
    }

    the plugin seems to work just fine, but if I switch to:

    object Plugins extends Build {
    lazy val plugins = Project("plugins", file("."))
    .dependsOn(uri("https://github.com/guardian/sbt-jasmine-plugin.git#1.0"))
    }

    as recommended, I get:

    error: pathspec '1.0' did not match any file(s) known to git.
    [error] Nonzero exit code (1): git checkout -q 1.0
    [error] Use 'last' for the full log.

    Moreover, the 1.0 tag is not visible in GitHub, on the plugin's main
    page, where it lists all tags and branches.

Thanks in advance for your advices.
M.


Reply to this email directly or view it on GitHubhttps://github.com/guardian/sbt-jasmine-plugin/issues/1#issuecomment-20277067
.

Sébastien Cevey
Software Developer

Please consider the environment before printing this email.

Visit guardian.co.uk - website of the year

www.guardian.co.uk www.observer.co.uk www.guardiannews.com www.guardian.co.uk/australia

On your mobile, visit m.guardian.co.uk or download the Guardian
iPhone app www.guardian.co.uk/iphone and iPad edition www.guardian.co.uk/iPad

Save up to 32% by subscribing to the Guardian and Observer - choose the papers you want and get full digital access.
Visit subscribe.guardian.co.uk


This e-mail and all attachments are confidential and may also
be privileged. If you are not the named recipient, please notify
the sender and delete the e-mail and all attachments immediately.
Do not disclose the contents to another person. You may not use
the information for any purpose, or store, or copy, it in any way.

Guardian News & Media Limited is not liable for any computer
viruses or other material transmitted with or as part of this
e-mail. You should employ virus checking software.

Guardian News & Media Limited

A member of Guardian Media Group plc
Registered Office
PO Box 68164
Kings Place
90 York Way
London
N1P 2AP

Registered in England Number 908396

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment